<template>
  <div class="popup">
    <link
      href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet"
    />
    <div class="tabs">
      <nav class="popup__header">
        <a href="#Register" class="popup__inset">Регистрация</a>
        <a href="#SignUp" class="popup__inset">Вход</a>
        <span @click="closePopUp" class="material-icons close">close</span>
      </nav>
    </div>
    <div class="tabs__body">
      <div id="Register" class="popup__content">
        <form @submit.prevent="RegUser">
          <p>Email</p>
          <input
            v-model.trim="email"
            placeholder="Email"
            class="popup__log"
            type="text"
          />
          <p>Password</p>
          <input
            v-model.trim="password"
            placeholder="Password"
            class="popup__log"
            type="password"
          />
          <button class="bth_1" type="submit">Зарегестрироваться</button>
        </form>
      </div>
       <div id="SignUp" class="popup__content log">
        <form @submit.prevent="LogUser">
          <p>Email</p>
          <input
            v-model.trim="email"
            placeholder="Email"
            class="popup__log"
            type="text"
          />
          <p>Password</p>
          <input
            v-model.trim="password"
            placeholder="Password"
            class="popup__log"
            type="password"
          />
          <button class="bth_1" type="submit">Войти</button>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import firebase from "firebase/app";

export default {
  data() {
    return {
      email: "",
      password: "",
    };
  },
  methods: {
    RegUser() {
      firebase.auth().createUserWithEmailAndPassword(this.email, this.password)
      .then( () =>{
        this.$emit('SuccsesReg')
      })
    },
    LogUser(){
      firebase.auth().signInWithEmailAndPassword(this.email, this.password)
      .then( () => {
      this.$emit("adduser")
      })
      
    },
    closePopUp() {
      this.$emit("closePopUp");
    },
  },
};
</script>

<style lang="scss">
.popup {
  padding: 5px;
  position: fixed;
  top: 300px;
  width: 400px;
  height: 300px;
  color: black;
  background-color: #b1b1b1;
  box-sizing: border-box;
  border-radius: 10px;

  &__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px 0 10px;

  }

  &__content {
    padding: 0 20px 0 20px;
    margin-bottom: 10px;
    display: none;

    &:target{
      display: block;
    }
  }
  &__log {
    width: 90%;
  }
  &__inset{
    text-decoration: none;
  }
}
.bth_1 {
  margin-top: 10px;
  display: inline-block;
  color: black;
  font-weight: 700;
  text-decoration: none;
  user-select: none;
  padding: 0.5em 2em;
  outline: none;
  border: 2px solid;
  border-radius: 1px;
  transition: 0.2s;

  &:hover {
    background: rgba(255, 255, 255, 0.2);
  }
  &:active {
    background: white;
  }
}
.close {
  cursor: pointer;
}
.log::after{
  display: block;
}
</style>